# version_acronym is either sl or slf
# lower case please!
%define version_acronym slf

%define base_release_version 5
%define minor_release_version 8

# increment this to get the stuff after the - higher
#  helps for making the rolling one go obsolete
%define release_count 2

# set ROLLING true for the rolling tree
#  once set it will do the rest for you automatically
#  the only valid values are true and anything else
%define ROLLING false

# #

%define product_family Scientific Linux

# setup pretty name
%if %(echo %{version_acronym} | grep -c 'slf')
    %define release_name Lederman
    %define variant_titlecase Fermi
    %define variant_lowercase fermi
    %define beta_directory slf5rolling
Epoch: 31
%else
    %define release_name Boron
    %define beta_directory 5rolling
Epoch: 5
%endif

# if we are building for the rolling tree, define beta
%if %(echo %{ROLLING} |grep -c 'true')
    %define beta rolling
%endif

Summary: RPM installer/updater config files
Name: yum-conf
Version: %{base_release_version}%{minor_release_version}
Release: %{release_count}.%{version_acronym}%{?beta:.%{beta}}
License: GPL
Group: System Environment/Base
Source: %{name}-%{version_acronym}%{base_release_version}.tar.gz
URL: http://www.dulug.duke.edu/yum/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{version_acronym}root
BuildArchitectures: noarch
Provides: yum-conf

%description
Configuration files to setup yum.conf and various repositories for
%{product_family}%{?variant_titlecase: %{variant_titlecase}} %{base_release_version}.%{minor_release_version}

%prep
%setup -q -n %{name}-%{version_acronym}%{base_release_version}

%build
%if 0%{?beta:1}
    echo "Leaving configuration at for %{beta_directory}"
%else
    echo "Customizing for version %{base_release_version}%{minor_release_version} of %{product_family}%{?variant_titlecase: %{variant_titlecase}}"
    cd etc/yum.repos.d/
    for repofile in sl-contrib.repo sl-fastbugs.repo sl.repo sl-security.repo fermi-contrib.repo fermi-fastbugs.repo fermi.repo fermi-security.repo fermi-addons.repo; do
        if [[ -f $repofile ]]; then
%if %(echo %{version_acronym} |grep -c 'slf')
            sed -e "s/%{beta_directory}/slf%{base_release_version}%{minor_release_version}/g" $repofile > ${repofile}.tmp
%else
            sed -e "s/%{beta_directory}/%{base_release_version}%{minor_release_version}/g" $repofile > ${repofile}.tmp
%endif
            mv -f ${repofile}.tmp $repofile
        fi
    done
%endif
echo OK


%install
mkdir -p $RPM_BUILD_ROOT/etc
cp -r etc/* $RPM_BUILD_ROOT/etc

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-, root, root)
%dir %{_sysconfdir}/yum.repos.d/
%config(noreplace) %{_sysconfdir}/yum.conf
%config(noreplace) %{_sysconfdir}/yum.repos.d/*

%changelog
* Mon Jun 4 2012 Pat Riehecky <riehecky@fnal.gov> 58-2.slf
- made SLF friendly

* Wed Feb 22 2012 Pat Riehecky <riehecky@fnal.gov> 58-0.rolling.sl
- refactored to be more like what we are doing in SL6

* Thu Aug 04 2011 Troy Dawson <dawson@fnal.gov> 57-1.SL
- Moved everything from rolling to 57

* Thu Aug 04 2011 Troy Dawson <dawson@fnal.gov> 57-0.2.rolling.SL
- Fixed the sl.repo, which was still pointing to 56

* Thu Aug 04 2011 Troy Dawson <dawson@fnal.gov> 57-0.1.rolling.SL
- Moved everything to rolling

* Tue Jun 07 2011 Troy Dawson <dawson@fnal.gov> 56-1.SL
- Updated everything to say 56 instead of 5rolling

* Mon Jan 31 2011 Troy Dawson <dawson@fnal.gov> 56-0.1.rolling.SL
- Updated sl-srpms.repo to read [sl-source] instead of [sl-srpms]
- Moved everything to rolling

* Wed Jul 15 2009 Troy Dawson <dawson@fnal.gov> 53-3.SL
- Updated yum.conf to say the default installonly_limit is 4

* Mon Jul 13 2009 Troy Dawson <dawson@fnal.gov> 53-2.SL
- Updated gpg keys to include sl and sl5
- Updated download server list to include ftp1.scientificlinux.org

* Tue Feb 24 2009 Troy Dawson <dawson@fnal.gov> 53-1.SL
- Move everything from 5rolling to 53

* Tue Jan 27 2009 Troy Dawson <dawson@fnal.gov> 53-0.1.rolling.SL
- Changed all the 52's to 5rolling

* Mon Jun 23 2008 Troy Dawson <dawson@fnal.gov> 52-2.SL
- Added priorities to the repos.

* Fri Jun 13 2008 Troy Dawson <dawson@fnal.gov> 52-1.SL
- Move everything from 5rolling to 52

* Wed Jun 11 2008 Troy Dawson <dawson@fnal.gov> 52-0.2.rolling.SL
- Added comments in yum.conf for installonlyn

* Thu Feb 21 2008 Troy Dawson <dawson@fnal.gov> 52-0.1.rolling.SL
- Moved everything from 51 to 5rolling

* Thu Dec 13 2007 Troy Dawson <dawson@fnal.gov> 51-0.2.rolling.SL
- Changed /etc/yum.conf to noreplace

* Wed Nov 14 2007 Troy Dawson <dawson@fnal.gov> 51-0.1.rolling.SL
- Changed the repos from 50 to 5rolling
- Changed the default from ftp to http, with ftp as the fallback

* Fri Apr 27 2007 Troy Dawson <dawson@fnal.gov> 50-3.SL
- Added commented out mirrorlist to sl.repo, sl-security.repo, sl-fastbugs.repo

* Sat Apr 21 2007 Troy Dawson <dawson@fnal.gov> 50-2.SL
- Fixed contrib, fastbugs, debuginfo, bugfix-51 repo's 

* Fri Apr 20 2007 Troy Dawson <dawson@fnal.gov> 50-1.SL
- Change repositories from 5rolling to 50
- Added sl-fastbugs, sl-bugfix-51, sl-contrib, sl-debuginfo, sl-srpms repositories

* Mon Apr 02 2007 Troy Dawson <dawson@fnal.gov> 50-0.5.rolling.SL
- Changed sl repos to reflect the new directory structure

* Wed Mar 28 2007 Troy Dawson <dawson@fnal.gov> 50-0.4.rolling.SL
- Separated the stuff for yum-autoupdate
- added Provides: yum-conf

* Thu Dec 21 2006 Troy Dawson <dawson@fnal.gov> 50-0.3.rolling.SL
- Changed yum repositories to reflect the new current reality

* Thu Dec 21 2006 Troy Dawson <dawson@fnal.gov> 50-0.2.rolling.SL
- Changed yum repositories to reflect current reality

* Fri Dec 08 2006 Troy Dawson <dawson@fnal.gov> 50-0.1.rolling.SL
- Created 50 from the last 44 release

